Get Order Details
curl --request GET \
--url https://api.retailreadyai.com/api/v1/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retailreadyai.com/api/v1/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retailreadyai.com/api/v1/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Order details retrieved successfully",
"data": {
"identifiers": {
"id": "944bf737-7860-4629-8933-d8e871f19d72",
"picksheet_code": "3132324301-9675",
"external_order_id": null,
"po_number": "3132324301",
"retailer_id": "b5c8dae2-6f70-3a5g-7i3j-9k0n0f2n5a5d",
"brand": {
"external_brand_code": "a6d6662a-53b0-4afe-9aaf-42441b0f490d"
},
"facility": {
"external_facility_code": "faba3d7a-c0f8-417b-9eab-4664baa02aaf"
},
"transportation_method": "PARCEL",
"bill_of_lading_number": "1234567890",
"pro_number": "1234567890",
"carrier": "UPS",
"service_method": "ups_ground",
"parcel_account_number": "XYZ123",
"parcel_billing_type": "SENDER"
},
"status": "Packed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pickup_date": "2023-11-07T05:31:56Z",
"requested_pickup_date": "2023-11-07T05:31:56Z",
"stage_by": "2023-11-07T05:31:56Z",
"earliest_ship_date": "2023-11-07T05:31:56Z",
"latest_ship_date": "2023-11-07T05:31:56Z",
"requested_ship_date": "2023-11-07T05:31:56Z",
"cancel_by_date": "2023-11-07T05:31:56Z",
"earliest_delivery_date": "2023-11-07T05:31:56Z",
"latest_delivery_date": "2023-11-07T05:31:56Z",
"requested_delivery_date": "2023-11-07T05:31:56Z",
"scheduled_delivery_date": "2023-11-07T05:31:56Z",
"delivery_appointment_date": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"packed_at": "2023-11-07T05:31:56Z",
"staged_at": "2023-11-07T05:31:56Z",
"loaded_at": "2023-11-07T05:31:56Z",
"parcel_print_start_time": "2023-11-07T05:31:56Z",
"parcel_print_end_time": "2023-11-07T05:31:56Z",
"asn_sent_at": "2023-11-07T05:31:56Z",
"invoice_sent_at": "2023-11-07T05:31:56Z",
"po_acknowledgment_sent_at": "2023-11-07T05:31:56Z",
"pallets": [
{
"id": "faba3d7a-c0f8-417b-9eab-4664baa02aaf",
"created_at": "2023-11-07T05:31:56Z",
"staged_by": "John Doe",
"staged_at": "2023-11-07T05:31:56Z",
"sscc": "00001234560000002822",
"status": "Loaded",
"cartonQuantity": 1,
"dim_unit": "in",
"height": 12,
"width": 12,
"length": 24,
"weight_unit": "lb",
"weight": 15,
"cartons": [
{
"id": "0eb578cd-c522-4ae0-8189-1419b58ddf96",
"sscc": "00001234560000002821",
"created_at": "2023-11-07T05:31:56Z",
"packed_by": "John Doe",
"packing_complete_at": "2023-11-07T05:31:56Z",
"parcel_tracking_number": "XYZ123000000000",
"dim_unit": "in",
"height": 10,
"width": 10,
"length": 20,
"weight_unit": "lb",
"weight": 14,
"skus": [
{
"sku": "123",
"upc": "456",
"serial_numbers": [
"123456789012345",
"987654321098765",
"456789012345678"
],
"quantity": 3
}
]
}
]
}
]
}
}{
"message": "Authentication failed",
"error": {
"code": "UNAUTHORIZED"
}
}{
"message": "Order not found",
"error": {
"code": "NOT_FOUND"
}
}{
"message": "Order details retrieval failed",
"error": {
"code": "INTERNAL_SERVER_ERROR"
}
}Orders
Get Order Details
Get a breakdown of the pallets, cartons, and SKUs on an order
GET
/
api
/
v1
/
orders
/
{order_id}
Get Order Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the order
⌘I

